from typing import Optional

from pydantic import BaseModel


class TrailerTypeBaseDTO(BaseModel):
    trailer_type_key: str
    description: Optional[str]
    company_id: str
    tenant_id: str


class TrailerTypeCreateDTO(TrailerTypeBaseDTO):
    pass


class TrailerTypeResponseDTO(TrailerTypeBaseDTO):
    class Config:
        from_attributes = True
